Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Graphiti » Error: Graphiti 0.8.0 and Eclipse BPMN2
Error: Graphiti 0.8.0 and Eclipse BPMN2 [message #719198] Fri, 26 August 2011 11:11 Go to next message
raquetti  is currently offline raquetti
Messages: 1
Registered: August 2011
Junior Member
Hello,

I would like to know if someone passed for the same error than me.
I downloaded Eclipse Modeling Tools (eclipse-modeling-indigo-win32.zip)
Added Graphiti the new version to Eclipse indigo (download.eclipse.org/graphiti/updates/0.8.0)
and add the plug-in BPMN2 ..
The first url that I tried was: codehoop.com/​bpmn2
and after I tried with: download.eclipse.org/bpmn2-modeler/site/ (by eclipse.org/bpmn2-modeler/download.php)

Both install without problem but both happen the same problem. The problem happened when I create a diagram and tried to put some element inside (Task, Event etc).

The error is:
"An error has occurred. See error log for more details.
org.eclipse.graphiti.services.IGaService.createDefaultMultiText(Lorg/eclipse/graphiti/mm/GraphicsAlgorithmContainer;Ljava/lang/String;)Lorg/eclipse/graphiti/mm/algorithms/MultiText;"


To the old version of Graphitti (0.7.1) this error doesnt happen. As I am new here I dont know where can I put my post. Sorry Smile
* But with the old version some other problems happen too as if I save and close the diagram, and after open it, some elements disappears, etc.. terrible!

Thanks for your attention.
Re: Error: Graphiti 0.8.0 and Eclipse BPMN2 [message #719242 is a reply to message #719198] Fri, 26 August 2011 13:49 Go to previous message
Michael Wenz is currently offline Michael Wenz
Messages: 1603
Registered: July 2009
Location: Walldorf, Germany
Senior Member
This is caused by a change in the Graphiti API, that enables management of
fonts analogous to what is done for colors. See our News&Noteworthy at
http://www.eclipse.org/graphiti/pages/whats-new.html in the section M6 Font
Management.

In the end the BPMN2 modeler project will have to adapt their coding if they
want to enable running on top of Graphiti 0.8.0.

HTH,
Michael


"raquetti" <forums-noreply@eclipse.org> wrote in message
news:j37ubl$9l7$1@news.eclipse.org...
> Hello,
>
> I would like to know if someone passed for the same error than me.
> I downloaded Eclipse Modeling Tools (eclipse-modeling-indigo-win32.zip)
> Added Graphiti the new version to Eclipse indigo
> (download.eclipse.org/graphiti/updates/0.8.0)
> and add the plug-in BPMN2 ..
> The first url that I tried was: codehoop.com/​bpmn2
> and after I tried with: download.eclipse.org/bpmn2-modeler/site/ (by
> eclipse.org/bpmn2-modeler/download.php)
>
> Both install without problem but both happen the same problem. The problem
> happened when I create a diagram and tried to put some element inside
> (Task, Event etc).
>
> The error is:
> "An error has occurred. See error log for more details.
> org.eclipse.graphiti.services.IGaService.createDefaultMultiText(Lorg/eclipse/graphiti/mm/GraphicsAlgorithmContainer;Ljava/lang/String;)Lorg/eclipse/graphiti/mm/algorithms/MultiText;"
>
>
> To the old version of Graphitti (0.7.1) this error doesnt happen. As I am
> new here I dont know where can I put my post. Sorry :)
> * But with the old version some other problems happen too as if I save and
> close the diagram, and after open it, some elements disappears, etc..
> terrible!
>
> Thanks for your attention.
Previous Topic:Problems with respect to printers: Slow performance
Next Topic:Common Layout support (GridLayout, FlowLayout ...)
Goto Forum:
  


Current Time: Wed Oct 01 14:30:00 GMT 2014

Powered by FUDForum. Page generated in 0.08671 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software